Subject: Re: [PATCH] gitweb: export-ok option

From: Jakub Narebski <[email-masked]>
Date: Sat, 16 Sep 2006 21:44:30 +0200

Matthias Lederhofer wrote:

> Similar to git-daemon checking for git-daemon-export-ok this
> introduces an optional check before showing a repository in gitweb.
> 
> I also changed the 'No such directory' error message to 'No such
> project' because the user visiting my gitweb should not know what
> directories I have in the project root directory.
> 
> undef $project; is used to prevent displaying the description.
> ---
> Perhaps there should be another option which allows only those
> repositories to be shown which are in $projects_list.

I don't know what this is for (well, except replacing 'No such directory'
error message by 'No such project'). If you want only some of repositories
to be present in gitweb, you simply use $projects_list _file_ (e.g. using
new "project_index" action to generate it) and edit it to contain only the
repositories you want to be shown in gitweb.

Unless of course the person who hosts gitweb, and the person who owns
repository are uncommunicado, and you want the power of deciding if
repository is present in gitweb or not to be placed in the hands of
repository owner. Still, gitweb must be configured for this.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git